Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:6800/120
First address
2c19:dd:d9:dd:c25:c25:94de:6800
Last address
2c19:dd:d9:dd:c25:c25:94de:68ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:6800
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
8.6.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:6800/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:6800/1282c19:dd:d9:dd:c25:c25:94de:6800
22c19:dd:d9:dd:c25:c25:94de:6801/1282c19:dd:d9:dd:c25:c25:94de:6801
32c19:dd:d9:dd:c25:c25:94de:6802/1282c19:dd:d9:dd:c25:c25:94de:6802
42c19:dd:d9:dd:c25:c25:94de:6803/1282c19:dd:d9:dd:c25:c25:94de:6803
52c19:dd:d9:dd:c25:c25:94de:6804/1282c19:dd:d9:dd:c25:c25:94de:6804
62c19:dd:d9:dd:c25:c25:94de:6805/1282c19:dd:d9:dd:c25:c25:94de:6805
72c19:dd:d9:dd:c25:c25:94de:6806/1282c19:dd:d9:dd:c25:c25:94de:6806
82c19:dd:d9:dd:c25:c25:94de:6807/1282c19:dd:d9:dd:c25:c25:94de:6807
92c19:dd:d9:dd:c25:c25:94de:6808/1282c19:dd:d9:dd:c25:c25:94de:6808
102c19:dd:d9:dd:c25:c25:94de:6809/1282c19:dd:d9:dd:c25:c25:94de:6809
112c19:dd:d9:dd:c25:c25:94de:680a/1282c19:dd:d9:dd:c25:c25:94de:680a
122c19:dd:d9:dd:c25:c25:94de:680b/1282c19:dd:d9:dd:c25:c25:94de:680b
132c19:dd:d9:dd:c25:c25:94de:680c/1282c19:dd:d9:dd:c25:c25:94de:680c
142c19:dd:d9:dd:c25:c25:94de:680d/1282c19:dd:d9:dd:c25:c25:94de:680d
152c19:dd:d9:dd:c25:c25:94de:680e/1282c19:dd:d9:dd:c25:c25:94de:680e
162c19:dd:d9:dd:c25:c25:94de:680f/1282c19:dd:d9:dd:c25:c25:94de:680f
172c19:dd:d9:dd:c25:c25:94de:6810/1282c19:dd:d9:dd:c25:c25:94de:6810
182c19:dd:d9:dd:c25:c25:94de:6811/1282c19:dd:d9:dd:c25:c25:94de:6811
192c19:dd:d9:dd:c25:c25:94de:6812/1282c19:dd:d9:dd:c25:c25:94de:6812
202c19:dd:d9:dd:c25:c25:94de:6813/1282c19:dd:d9:dd:c25:c25:94de:6813
212c19:dd:d9:dd:c25:c25:94de:6814/1282c19:dd:d9:dd:c25:c25:94de:6814
222c19:dd:d9:dd:c25:c25:94de:6815/1282c19:dd:d9:dd:c25:c25:94de:6815
232c19:dd:d9:dd:c25:c25:94de:6816/1282c19:dd:d9:dd:c25:c25:94de:6816
242c19:dd:d9:dd:c25:c25:94de:6817/1282c19:dd:d9:dd:c25:c25:94de:6817
252c19:dd:d9:dd:c25:c25:94de:6818/1282c19:dd:d9:dd:c25:c25:94de:6818
262c19:dd:d9:dd:c25:c25:94de:6819/1282c19:dd:d9:dd:c25:c25:94de:6819
272c19:dd:d9:dd:c25:c25:94de:681a/1282c19:dd:d9:dd:c25:c25:94de:681a
282c19:dd:d9:dd:c25:c25:94de:681b/1282c19:dd:d9:dd:c25:c25:94de:681b
292c19:dd:d9:dd:c25:c25:94de:681c/1282c19:dd:d9:dd:c25:c25:94de:681c
302c19:dd:d9:dd:c25:c25:94de:681d/1282c19:dd:d9:dd:c25:c25:94de:681d
312c19:dd:d9:dd:c25:c25:94de:681e/1282c19:dd:d9:dd:c25:c25:94de:681e
322c19:dd:d9:dd:c25:c25:94de:681f/1282c19:dd:d9:dd:c25:c25:94de:681f
332c19:dd:d9:dd:c25:c25:94de:6820/1282c19:dd:d9:dd:c25:c25:94de:6820
342c19:dd:d9:dd:c25:c25:94de:6821/1282c19:dd:d9:dd:c25:c25:94de:6821
352c19:dd:d9:dd:c25:c25:94de:6822/1282c19:dd:d9:dd:c25:c25:94de:6822
362c19:dd:d9:dd:c25:c25:94de:6823/1282c19:dd:d9:dd:c25:c25:94de:6823
372c19:dd:d9:dd:c25:c25:94de:6824/1282c19:dd:d9:dd:c25:c25:94de:6824
382c19:dd:d9:dd:c25:c25:94de:6825/1282c19:dd:d9:dd:c25:c25:94de:6825
392c19:dd:d9:dd:c25:c25:94de:6826/1282c19:dd:d9:dd:c25:c25:94de:6826
402c19:dd:d9:dd:c25:c25:94de:6827/1282c19:dd:d9:dd:c25:c25:94de:6827
412c19:dd:d9:dd:c25:c25:94de:6828/1282c19:dd:d9:dd:c25:c25:94de:6828
422c19:dd:d9:dd:c25:c25:94de:6829/1282c19:dd:d9:dd:c25:c25:94de:6829
432c19:dd:d9:dd:c25:c25:94de:682a/1282c19:dd:d9:dd:c25:c25:94de:682a
442c19:dd:d9:dd:c25:c25:94de:682b/1282c19:dd:d9:dd:c25:c25:94de:682b
452c19:dd:d9:dd:c25:c25:94de:682c/1282c19:dd:d9:dd:c25:c25:94de:682c
462c19:dd:d9:dd:c25:c25:94de:682d/1282c19:dd:d9:dd:c25:c25:94de:682d
472c19:dd:d9:dd:c25:c25:94de:682e/1282c19:dd:d9:dd:c25:c25:94de:682e
482c19:dd:d9:dd:c25:c25:94de:682f/1282c19:dd:d9:dd:c25:c25:94de:682f
492c19:dd:d9:dd:c25:c25:94de:6830/1282c19:dd:d9:dd:c25:c25:94de:6830
502c19:dd:d9:dd:c25:c25:94de:6831/1282c19:dd:d9:dd:c25:c25:94de:6831
512c19:dd:d9:dd:c25:c25:94de:6832/1282c19:dd:d9:dd:c25:c25:94de:6832
522c19:dd:d9:dd:c25:c25:94de:6833/1282c19:dd:d9:dd:c25:c25:94de:6833
532c19:dd:d9:dd:c25:c25:94de:6834/1282c19:dd:d9:dd:c25:c25:94de:6834
542c19:dd:d9:dd:c25:c25:94de:6835/1282c19:dd:d9:dd:c25:c25:94de:6835
552c19:dd:d9:dd:c25:c25:94de:6836/1282c19:dd:d9:dd:c25:c25:94de:6836
562c19:dd:d9:dd:c25:c25:94de:6837/1282c19:dd:d9:dd:c25:c25:94de:6837
572c19:dd:d9:dd:c25:c25:94de:6838/1282c19:dd:d9:dd:c25:c25:94de:6838
582c19:dd:d9:dd:c25:c25:94de:6839/1282c19:dd:d9:dd:c25:c25:94de:6839
592c19:dd:d9:dd:c25:c25:94de:683a/1282c19:dd:d9:dd:c25:c25:94de:683a
602c19:dd:d9:dd:c25:c25:94de:683b/1282c19:dd:d9:dd:c25:c25:94de:683b
612c19:dd:d9:dd:c25:c25:94de:683c/1282c19:dd:d9:dd:c25:c25:94de:683c
622c19:dd:d9:dd:c25:c25:94de:683d/1282c19:dd:d9:dd:c25:c25:94de:683d
632c19:dd:d9:dd:c25:c25:94de:683e/1282c19:dd:d9:dd:c25:c25:94de:683e
642c19:dd:d9:dd:c25:c25:94de:683f/1282c19:dd:d9:dd:c25:c25:94de:683f
652c19:dd:d9:dd:c25:c25:94de:6840/1282c19:dd:d9:dd:c25:c25:94de:6840
662c19:dd:d9:dd:c25:c25:94de:6841/1282c19:dd:d9:dd:c25:c25:94de:6841
672c19:dd:d9:dd:c25:c25:94de:6842/1282c19:dd:d9:dd:c25:c25:94de:6842
682c19:dd:d9:dd:c25:c25:94de:6843/1282c19:dd:d9:dd:c25:c25:94de:6843
692c19:dd:d9:dd:c25:c25:94de:6844/1282c19:dd:d9:dd:c25:c25:94de:6844
702c19:dd:d9:dd:c25:c25:94de:6845/1282c19:dd:d9:dd:c25:c25:94de:6845
712c19:dd:d9:dd:c25:c25:94de:6846/1282c19:dd:d9:dd:c25:c25:94de:6846
722c19:dd:d9:dd:c25:c25:94de:6847/1282c19:dd:d9:dd:c25:c25:94de:6847
732c19:dd:d9:dd:c25:c25:94de:6848/1282c19:dd:d9:dd:c25:c25:94de:6848
742c19:dd:d9:dd:c25:c25:94de:6849/1282c19:dd:d9:dd:c25:c25:94de:6849
752c19:dd:d9:dd:c25:c25:94de:684a/1282c19:dd:d9:dd:c25:c25:94de:684a
762c19:dd:d9:dd:c25:c25:94de:684b/1282c19:dd:d9:dd:c25:c25:94de:684b
772c19:dd:d9:dd:c25:c25:94de:684c/1282c19:dd:d9:dd:c25:c25:94de:684c
782c19:dd:d9:dd:c25:c25:94de:684d/1282c19:dd:d9:dd:c25:c25:94de:684d
792c19:dd:d9:dd:c25:c25:94de:684e/1282c19:dd:d9:dd:c25:c25:94de:684e
802c19:dd:d9:dd:c25:c25:94de:684f/1282c19:dd:d9:dd:c25:c25:94de:684f
812c19:dd:d9:dd:c25:c25:94de:6850/1282c19:dd:d9:dd:c25:c25:94de:6850
822c19:dd:d9:dd:c25:c25:94de:6851/1282c19:dd:d9:dd:c25:c25:94de:6851
832c19:dd:d9:dd:c25:c25:94de:6852/1282c19:dd:d9:dd:c25:c25:94de:6852
842c19:dd:d9:dd:c25:c25:94de:6853/1282c19:dd:d9:dd:c25:c25:94de:6853
852c19:dd:d9:dd:c25:c25:94de:6854/1282c19:dd:d9:dd:c25:c25:94de:6854
862c19:dd:d9:dd:c25:c25:94de:6855/1282c19:dd:d9:dd:c25:c25:94de:6855
872c19:dd:d9:dd:c25:c25:94de:6856/1282c19:dd:d9:dd:c25:c25:94de:6856
882c19:dd:d9:dd:c25:c25:94de:6857/1282c19:dd:d9:dd:c25:c25:94de:6857
892c19:dd:d9:dd:c25:c25:94de:6858/1282c19:dd:d9:dd:c25:c25:94de:6858
902c19:dd:d9:dd:c25:c25:94de:6859/1282c19:dd:d9:dd:c25:c25:94de:6859
912c19:dd:d9:dd:c25:c25:94de:685a/1282c19:dd:d9:dd:c25:c25:94de:685a
922c19:dd:d9:dd:c25:c25:94de:685b/1282c19:dd:d9:dd:c25:c25:94de:685b
932c19:dd:d9:dd:c25:c25:94de:685c/1282c19:dd:d9:dd:c25:c25:94de:685c
942c19:dd:d9:dd:c25:c25:94de:685d/1282c19:dd:d9:dd:c25:c25:94de:685d
952c19:dd:d9:dd:c25:c25:94de:685e/1282c19:dd:d9:dd:c25:c25:94de:685e
962c19:dd:d9:dd:c25:c25:94de:685f/1282c19:dd:d9:dd:c25:c25:94de:685f
972c19:dd:d9:dd:c25:c25:94de:6860/1282c19:dd:d9:dd:c25:c25:94de:6860
982c19:dd:d9:dd:c25:c25:94de:6861/1282c19:dd:d9:dd:c25:c25:94de:6861
992c19:dd:d9:dd:c25:c25:94de:6862/1282c19:dd:d9:dd:c25:c25:94de:6862
1002c19:dd:d9:dd:c25:c25:94de:6863/1282c19:dd:d9:dd:c25:c25:94de:6863
1012c19:dd:d9:dd:c25:c25:94de:6864/1282c19:dd:d9:dd:c25:c25:94de:6864
1022c19:dd:d9:dd:c25:c25:94de:6865/1282c19:dd:d9:dd:c25:c25:94de:6865
1032c19:dd:d9:dd:c25:c25:94de:6866/1282c19:dd:d9:dd:c25:c25:94de:6866
1042c19:dd:d9:dd:c25:c25:94de:6867/1282c19:dd:d9:dd:c25:c25:94de:6867
1052c19:dd:d9:dd:c25:c25:94de:6868/1282c19:dd:d9:dd:c25:c25:94de:6868
1062c19:dd:d9:dd:c25:c25:94de:6869/1282c19:dd:d9:dd:c25:c25:94de:6869
1072c19:dd:d9:dd:c25:c25:94de:686a/1282c19:dd:d9:dd:c25:c25:94de:686a
1082c19:dd:d9:dd:c25:c25:94de:686b/1282c19:dd:d9:dd:c25:c25:94de:686b
1092c19:dd:d9:dd:c25:c25:94de:686c/1282c19:dd:d9:dd:c25:c25:94de:686c
1102c19:dd:d9:dd:c25:c25:94de:686d/1282c19:dd:d9:dd:c25:c25:94de:686d
1112c19:dd:d9:dd:c25:c25:94de:686e/1282c19:dd:d9:dd:c25:c25:94de:686e
1122c19:dd:d9:dd:c25:c25:94de:686f/1282c19:dd:d9:dd:c25:c25:94de:686f
1132c19:dd:d9:dd:c25:c25:94de:6870/1282c19:dd:d9:dd:c25:c25:94de:6870
1142c19:dd:d9:dd:c25:c25:94de:6871/1282c19:dd:d9:dd:c25:c25:94de:6871
1152c19:dd:d9:dd:c25:c25:94de:6872/1282c19:dd:d9:dd:c25:c25:94de:6872
1162c19:dd:d9:dd:c25:c25:94de:6873/1282c19:dd:d9:dd:c25:c25:94de:6873
1172c19:dd:d9:dd:c25:c25:94de:6874/1282c19:dd:d9:dd:c25:c25:94de:6874
1182c19:dd:d9:dd:c25:c25:94de:6875/1282c19:dd:d9:dd:c25:c25:94de:6875
1192c19:dd:d9:dd:c25:c25:94de:6876/1282c19:dd:d9:dd:c25:c25:94de:6876
1202c19:dd:d9:dd:c25:c25:94de:6877/1282c19:dd:d9:dd:c25:c25:94de:6877
1212c19:dd:d9:dd:c25:c25:94de:6878/1282c19:dd:d9:dd:c25:c25:94de:6878
1222c19:dd:d9:dd:c25:c25:94de:6879/1282c19:dd:d9:dd:c25:c25:94de:6879
1232c19:dd:d9:dd:c25:c25:94de:687a/1282c19:dd:d9:dd:c25:c25:94de:687a
1242c19:dd:d9:dd:c25:c25:94de:687b/1282c19:dd:d9:dd:c25:c25:94de:687b
1252c19:dd:d9:dd:c25:c25:94de:687c/1282c19:dd:d9:dd:c25:c25:94de:687c
1262c19:dd:d9:dd:c25:c25:94de:687d/1282c19:dd:d9:dd:c25:c25:94de:687d
1272c19:dd:d9:dd:c25:c25:94de:687e/1282c19:dd:d9:dd:c25:c25:94de:687e
1282c19:dd:d9:dd:c25:c25:94de:687f/1282c19:dd:d9:dd:c25:c25:94de:687f
1292c19:dd:d9:dd:c25:c25:94de:6880/1282c19:dd:d9:dd:c25:c25:94de:6880
1302c19:dd:d9:dd:c25:c25:94de:6881/1282c19:dd:d9:dd:c25:c25:94de:6881
1312c19:dd:d9:dd:c25:c25:94de:6882/1282c19:dd:d9:dd:c25:c25:94de:6882
1322c19:dd:d9:dd:c25:c25:94de:6883/1282c19:dd:d9:dd:c25:c25:94de:6883
1332c19:dd:d9:dd:c25:c25:94de:6884/1282c19:dd:d9:dd:c25:c25:94de:6884
1342c19:dd:d9:dd:c25:c25:94de:6885/1282c19:dd:d9:dd:c25:c25:94de:6885
1352c19:dd:d9:dd:c25:c25:94de:6886/1282c19:dd:d9:dd:c25:c25:94de:6886
1362c19:dd:d9:dd:c25:c25:94de:6887/1282c19:dd:d9:dd:c25:c25:94de:6887
1372c19:dd:d9:dd:c25:c25:94de:6888/1282c19:dd:d9:dd:c25:c25:94de:6888
1382c19:dd:d9:dd:c25:c25:94de:6889/1282c19:dd:d9:dd:c25:c25:94de:6889
1392c19:dd:d9:dd:c25:c25:94de:688a/1282c19:dd:d9:dd:c25:c25:94de:688a
1402c19:dd:d9:dd:c25:c25:94de:688b/1282c19:dd:d9:dd:c25:c25:94de:688b
1412c19:dd:d9:dd:c25:c25:94de:688c/1282c19:dd:d9:dd:c25:c25:94de:688c
1422c19:dd:d9:dd:c25:c25:94de:688d/1282c19:dd:d9:dd:c25:c25:94de:688d
1432c19:dd:d9:dd:c25:c25:94de:688e/1282c19:dd:d9:dd:c25:c25:94de:688e
1442c19:dd:d9:dd:c25:c25:94de:688f/1282c19:dd:d9:dd:c25:c25:94de:688f
1452c19:dd:d9:dd:c25:c25:94de:6890/1282c19:dd:d9:dd:c25:c25:94de:6890
1462c19:dd:d9:dd:c25:c25:94de:6891/1282c19:dd:d9:dd:c25:c25:94de:6891
1472c19:dd:d9:dd:c25:c25:94de:6892/1282c19:dd:d9:dd:c25:c25:94de:6892
1482c19:dd:d9:dd:c25:c25:94de:6893/1282c19:dd:d9:dd:c25:c25:94de:6893
1492c19:dd:d9:dd:c25:c25:94de:6894/1282c19:dd:d9:dd:c25:c25:94de:6894
1502c19:dd:d9:dd:c25:c25:94de:6895/1282c19:dd:d9:dd:c25:c25:94de:6895
1512c19:dd:d9:dd:c25:c25:94de:6896/1282c19:dd:d9:dd:c25:c25:94de:6896
1522c19:dd:d9:dd:c25:c25:94de:6897/1282c19:dd:d9:dd:c25:c25:94de:6897
1532c19:dd:d9:dd:c25:c25:94de:6898/1282c19:dd:d9:dd:c25:c25:94de:6898
1542c19:dd:d9:dd:c25:c25:94de:6899/1282c19:dd:d9:dd:c25:c25:94de:6899
1552c19:dd:d9:dd:c25:c25:94de:689a/1282c19:dd:d9:dd:c25:c25:94de:689a
1562c19:dd:d9:dd:c25:c25:94de:689b/1282c19:dd:d9:dd:c25:c25:94de:689b
1572c19:dd:d9:dd:c25:c25:94de:689c/1282c19:dd:d9:dd:c25:c25:94de:689c
1582c19:dd:d9:dd:c25:c25:94de:689d/1282c19:dd:d9:dd:c25:c25:94de:689d
1592c19:dd:d9:dd:c25:c25:94de:689e/1282c19:dd:d9:dd:c25:c25:94de:689e
1602c19:dd:d9:dd:c25:c25:94de:689f/1282c19:dd:d9:dd:c25:c25:94de:689f
1612c19:dd:d9:dd:c25:c25:94de:68a0/1282c19:dd:d9:dd:c25:c25:94de:68a0
1622c19:dd:d9:dd:c25:c25:94de:68a1/1282c19:dd:d9:dd:c25:c25:94de:68a1
1632c19:dd:d9:dd:c25:c25:94de:68a2/1282c19:dd:d9:dd:c25:c25:94de:68a2
1642c19:dd:d9:dd:c25:c25:94de:68a3/1282c19:dd:d9:dd:c25:c25:94de:68a3
1652c19:dd:d9:dd:c25:c25:94de:68a4/1282c19:dd:d9:dd:c25:c25:94de:68a4
1662c19:dd:d9:dd:c25:c25:94de:68a5/1282c19:dd:d9:dd:c25:c25:94de:68a5
1672c19:dd:d9:dd:c25:c25:94de:68a6/1282c19:dd:d9:dd:c25:c25:94de:68a6
1682c19:dd:d9:dd:c25:c25:94de:68a7/1282c19:dd:d9:dd:c25:c25:94de:68a7
1692c19:dd:d9:dd:c25:c25:94de:68a8/1282c19:dd:d9:dd:c25:c25:94de:68a8
1702c19:dd:d9:dd:c25:c25:94de:68a9/1282c19:dd:d9:dd:c25:c25:94de:68a9
1712c19:dd:d9:dd:c25:c25:94de:68aa/1282c19:dd:d9:dd:c25:c25:94de:68aa
1722c19:dd:d9:dd:c25:c25:94de:68ab/1282c19:dd:d9:dd:c25:c25:94de:68ab
1732c19:dd:d9:dd:c25:c25:94de:68ac/1282c19:dd:d9:dd:c25:c25:94de:68ac
1742c19:dd:d9:dd:c25:c25:94de:68ad/1282c19:dd:d9:dd:c25:c25:94de:68ad
1752c19:dd:d9:dd:c25:c25:94de:68ae/1282c19:dd:d9:dd:c25:c25:94de:68ae
1762c19:dd:d9:dd:c25:c25:94de:68af/1282c19:dd:d9:dd:c25:c25:94de:68af
1772c19:dd:d9:dd:c25:c25:94de:68b0/1282c19:dd:d9:dd:c25:c25:94de:68b0
1782c19:dd:d9:dd:c25:c25:94de:68b1/1282c19:dd:d9:dd:c25:c25:94de:68b1
1792c19:dd:d9:dd:c25:c25:94de:68b2/1282c19:dd:d9:dd:c25:c25:94de:68b2
1802c19:dd:d9:dd:c25:c25:94de:68b3/1282c19:dd:d9:dd:c25:c25:94de:68b3
1812c19:dd:d9:dd:c25:c25:94de:68b4/1282c19:dd:d9:dd:c25:c25:94de:68b4
1822c19:dd:d9:dd:c25:c25:94de:68b5/1282c19:dd:d9:dd:c25:c25:94de:68b5
1832c19:dd:d9:dd:c25:c25:94de:68b6/1282c19:dd:d9:dd:c25:c25:94de:68b6
1842c19:dd:d9:dd:c25:c25:94de:68b7/1282c19:dd:d9:dd:c25:c25:94de:68b7
1852c19:dd:d9:dd:c25:c25:94de:68b8/1282c19:dd:d9:dd:c25:c25:94de:68b8
1862c19:dd:d9:dd:c25:c25:94de:68b9/1282c19:dd:d9:dd:c25:c25:94de:68b9
1872c19:dd:d9:dd:c25:c25:94de:68ba/1282c19:dd:d9:dd:c25:c25:94de:68ba
1882c19:dd:d9:dd:c25:c25:94de:68bb/1282c19:dd:d9:dd:c25:c25:94de:68bb
1892c19:dd:d9:dd:c25:c25:94de:68bc/1282c19:dd:d9:dd:c25:c25:94de:68bc
1902c19:dd:d9:dd:c25:c25:94de:68bd/1282c19:dd:d9:dd:c25:c25:94de:68bd
1912c19:dd:d9:dd:c25:c25:94de:68be/1282c19:dd:d9:dd:c25:c25:94de:68be
1922c19:dd:d9:dd:c25:c25:94de:68bf/1282c19:dd:d9:dd:c25:c25:94de:68bf
1932c19:dd:d9:dd:c25:c25:94de:68c0/1282c19:dd:d9:dd:c25:c25:94de:68c0
1942c19:dd:d9:dd:c25:c25:94de:68c1/1282c19:dd:d9:dd:c25:c25:94de:68c1
1952c19:dd:d9:dd:c25:c25:94de:68c2/1282c19:dd:d9:dd:c25:c25:94de:68c2
1962c19:dd:d9:dd:c25:c25:94de:68c3/1282c19:dd:d9:dd:c25:c25:94de:68c3
1972c19:dd:d9:dd:c25:c25:94de:68c4/1282c19:dd:d9:dd:c25:c25:94de:68c4
1982c19:dd:d9:dd:c25:c25:94de:68c5/1282c19:dd:d9:dd:c25:c25:94de:68c5
1992c19:dd:d9:dd:c25:c25:94de:68c6/1282c19:dd:d9:dd:c25:c25:94de:68c6
2002c19:dd:d9:dd:c25:c25:94de:68c7/1282c19:dd:d9:dd:c25:c25:94de:68c7
2012c19:dd:d9:dd:c25:c25:94de:68c8/1282c19:dd:d9:dd:c25:c25:94de:68c8
2022c19:dd:d9:dd:c25:c25:94de:68c9/1282c19:dd:d9:dd:c25:c25:94de:68c9
2032c19:dd:d9:dd:c25:c25:94de:68ca/1282c19:dd:d9:dd:c25:c25:94de:68ca
2042c19:dd:d9:dd:c25:c25:94de:68cb/1282c19:dd:d9:dd:c25:c25:94de:68cb
2052c19:dd:d9:dd:c25:c25:94de:68cc/1282c19:dd:d9:dd:c25:c25:94de:68cc
2062c19:dd:d9:dd:c25:c25:94de:68cd/1282c19:dd:d9:dd:c25:c25:94de:68cd
2072c19:dd:d9:dd:c25:c25:94de:68ce/1282c19:dd:d9:dd:c25:c25:94de:68ce
2082c19:dd:d9:dd:c25:c25:94de:68cf/1282c19:dd:d9:dd:c25:c25:94de:68cf
2092c19:dd:d9:dd:c25:c25:94de:68d0/1282c19:dd:d9:dd:c25:c25:94de:68d0
2102c19:dd:d9:dd:c25:c25:94de:68d1/1282c19:dd:d9:dd:c25:c25:94de:68d1
2112c19:dd:d9:dd:c25:c25:94de:68d2/1282c19:dd:d9:dd:c25:c25:94de:68d2
2122c19:dd:d9:dd:c25:c25:94de:68d3/1282c19:dd:d9:dd:c25:c25:94de:68d3
2132c19:dd:d9:dd:c25:c25:94de:68d4/1282c19:dd:d9:dd:c25:c25:94de:68d4
2142c19:dd:d9:dd:c25:c25:94de:68d5/1282c19:dd:d9:dd:c25:c25:94de:68d5
2152c19:dd:d9:dd:c25:c25:94de:68d6/1282c19:dd:d9:dd:c25:c25:94de:68d6
2162c19:dd:d9:dd:c25:c25:94de:68d7/1282c19:dd:d9:dd:c25:c25:94de:68d7
2172c19:dd:d9:dd:c25:c25:94de:68d8/1282c19:dd:d9:dd:c25:c25:94de:68d8
2182c19:dd:d9:dd:c25:c25:94de:68d9/1282c19:dd:d9:dd:c25:c25:94de:68d9
2192c19:dd:d9:dd:c25:c25:94de:68da/1282c19:dd:d9:dd:c25:c25:94de:68da
2202c19:dd:d9:dd:c25:c25:94de:68db/1282c19:dd:d9:dd:c25:c25:94de:68db
2212c19:dd:d9:dd:c25:c25:94de:68dc/1282c19:dd:d9:dd:c25:c25:94de:68dc
2222c19:dd:d9:dd:c25:c25:94de:68dd/1282c19:dd:d9:dd:c25:c25:94de:68dd
2232c19:dd:d9:dd:c25:c25:94de:68de/1282c19:dd:d9:dd:c25:c25:94de:68de
2242c19:dd:d9:dd:c25:c25:94de:68df/1282c19:dd:d9:dd:c25:c25:94de:68df
2252c19:dd:d9:dd:c25:c25:94de:68e0/1282c19:dd:d9:dd:c25:c25:94de:68e0
2262c19:dd:d9:dd:c25:c25:94de:68e1/1282c19:dd:d9:dd:c25:c25:94de:68e1
2272c19:dd:d9:dd:c25:c25:94de:68e2/1282c19:dd:d9:dd:c25:c25:94de:68e2
2282c19:dd:d9:dd:c25:c25:94de:68e3/1282c19:dd:d9:dd:c25:c25:94de:68e3
2292c19:dd:d9:dd:c25:c25:94de:68e4/1282c19:dd:d9:dd:c25:c25:94de:68e4
2302c19:dd:d9:dd:c25:c25:94de:68e5/1282c19:dd:d9:dd:c25:c25:94de:68e5
2312c19:dd:d9:dd:c25:c25:94de:68e6/1282c19:dd:d9:dd:c25:c25:94de:68e6
2322c19:dd:d9:dd:c25:c25:94de:68e7/1282c19:dd:d9:dd:c25:c25:94de:68e7
2332c19:dd:d9:dd:c25:c25:94de:68e8/1282c19:dd:d9:dd:c25:c25:94de:68e8
2342c19:dd:d9:dd:c25:c25:94de:68e9/1282c19:dd:d9:dd:c25:c25:94de:68e9
2352c19:dd:d9:dd:c25:c25:94de:68ea/1282c19:dd:d9:dd:c25:c25:94de:68ea
2362c19:dd:d9:dd:c25:c25:94de:68eb/1282c19:dd:d9:dd:c25:c25:94de:68eb
2372c19:dd:d9:dd:c25:c25:94de:68ec/1282c19:dd:d9:dd:c25:c25:94de:68ec
2382c19:dd:d9:dd:c25:c25:94de:68ed/1282c19:dd:d9:dd:c25:c25:94de:68ed
2392c19:dd:d9:dd:c25:c25:94de:68ee/1282c19:dd:d9:dd:c25:c25:94de:68ee
2402c19:dd:d9:dd:c25:c25:94de:68ef/1282c19:dd:d9:dd:c25:c25:94de:68ef
2412c19:dd:d9:dd:c25:c25:94de:68f0/1282c19:dd:d9:dd:c25:c25:94de:68f0
2422c19:dd:d9:dd:c25:c25:94de:68f1/1282c19:dd:d9:dd:c25:c25:94de:68f1
2432c19:dd:d9:dd:c25:c25:94de:68f2/1282c19:dd:d9:dd:c25:c25:94de:68f2
2442c19:dd:d9:dd:c25:c25:94de:68f3/1282c19:dd:d9:dd:c25:c25:94de:68f3
2452c19:dd:d9:dd:c25:c25:94de:68f4/1282c19:dd:d9:dd:c25:c25:94de:68f4
2462c19:dd:d9:dd:c25:c25:94de:68f5/1282c19:dd:d9:dd:c25:c25:94de:68f5
2472c19:dd:d9:dd:c25:c25:94de:68f6/1282c19:dd:d9:dd:c25:c25:94de:68f6
2482c19:dd:d9:dd:c25:c25:94de:68f7/1282c19:dd:d9:dd:c25:c25:94de:68f7
2492c19:dd:d9:dd:c25:c25:94de:68f8/1282c19:dd:d9:dd:c25:c25:94de:68f8
2502c19:dd:d9:dd:c25:c25:94de:68f9/1282c19:dd:d9:dd:c25:c25:94de:68f9
2512c19:dd:d9:dd:c25:c25:94de:68fa/1282c19:dd:d9:dd:c25:c25:94de:68fa
2522c19:dd:d9:dd:c25:c25:94de:68fb/1282c19:dd:d9:dd:c25:c25:94de:68fb
2532c19:dd:d9:dd:c25:c25:94de:68fc/1282c19:dd:d9:dd:c25:c25:94de:68fc
2542c19:dd:d9:dd:c25:c25:94de:68fd/1282c19:dd:d9:dd:c25:c25:94de:68fd
2552c19:dd:d9:dd:c25:c25:94de:68fe/1282c19:dd:d9:dd:c25:c25:94de:68fe
2562c19:dd:d9:dd:c25:c25:94de:68ff/1282c19:dd:d9:dd:c25:c25:94de:68ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses